[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Dialogs' (#lcl)

# TCustomTaskDialog.OnNavigated

## Declaration

Source position: dialogs.pp line 855

`public property TCustomTaskDialog.OnNavigated : TNotifyEvent read FOnNavigated write FOnNavigated;`

## Description

OnNavigated is a TNotifyEvent property with the event handler signalled when a page of content is needed for the task dialog. It is signalled (when assigned) from the DoOnNavigated method.

See TaskDialogPage.Navigate for more information about the API implementation.

Please note that the page instance used in the native Task Dialog API is not available in the event handler. It might be implemented in a derived class, but the event handler must be in base class for Delphi compatibility.

## Version info

Added in LCL version 4.0.